{% extends "layouts/base.html" %}
{% load static don_template_functions %}

{% block content %}
<div class="page-homepage">
    <div class="hero pt-24 pb-32">
        <div class="hero--bg">
            <img src="{% static 'images/hero_bg.webp' %}">
        </div>
        <div class="container">
            <div class="hero__intro mb-0">
                <h1 class="hero__intro__heading mb-2">Developer Portal van de Nederlandse Overheid</h1>
                <p class="hero__intro__subtitle mb-0">
                    Eén centrale plek voor de developer die voor of met de overheid
                    ontwikkelt
                </p>
            </div>
        </div>
    </div>
    {% include "partials/call_to_action_cards.html" %}   
    <div class="container container--lg mt-8 mb-20 community-overview">
        {% for category in community_categories %}
        <div class="category mb-8 p-3 px-4 card">
            <div class="category__title mb-3">
                {% include "partials/tabler-icon.html" with icon_title=category.icon classname="size-10" %}
                <h2 class="category__title__heading text-xl ml-2">{{ category.title }}</h2>
            </div>
            <div class="md:grid grid-cols-4 gap-2">
                {% for item in category.items %}
                <a class="card--bg p-2 px-3 category__pages__page mb-2 md:mb-0" href="{{ item.link }}">
                    <h3 class="category__pages__page__title text-lg">{{ item.title }}</h3>
                    <div class="category__pages__page__organization">
                        {% if item.organization == "digilab" %}
                            <img src="{% static 'images/digilab.svg' %}" width="16" class="mr-1 size-4">
                            <span class="text-sm">Digilab</span>
                        {% elif item.organization == "kadaster" %}
                            <img src="{% static 'images/logo-kadaster.svg' %}" width="16" class="mr-1 size-4">
                            <span class="text-sm">Kadaster</span>
                        {% elif item.organization == "rijks_ict_gilde" %}
                            <img src="{% static 'images/rijksictgilde_logo.jpeg' %}" width="16" class="mr-1 size-4">
                            <span class="text-sm">Rijks ICT Gilde</span>
                        {% elif item.organization == "ictu" %}
                            <img src="{% static 'images/ictu_logo.jpg' %}"  width="16" class="mr-1 size-4">
                            <span class="text-sm">ICTU</span>
                        {% elif item.organization == "vws" %}
                            <img src="{% static 'images/logo-vws.jpg' %}" class="mr-1 size-4">
                            <span class="text-sm" title="Ministerie van Volksgezondheid, Welzijn en Sport">{{ "Ministerie van Volksgezondheid, Welzijn en Sport" | truncatechars:25 }}</span>
                        {% elif item.organization == "kpa" %}
                            <img src="{% static 'images/logo_icon_kpa.png' %}" class="mr-1 size-4">
                            <span class="text-sm">Kennisplatform API's</span>
                        {% elif item.organization == "forum-standaardisatie" %}
                            <img src="{% static 'images/logo_forum_standaardisatie_small.png' %}" class="mr-1 size-4">
                            <span class="text-sm">Forum Standaardisatie</span>
                        {% elif item.organization == "nl-design-system" %}
                            <img src="{% static 'images/logo_nld.png' %}" class="mr-1 size-4">
                            <span class="text-sm">NL Design System</span>
                            {% elif item.organization == "developer-italia" %}
                            <img src="{% static 'images/logo-it.png' %}" class="mr-1 size-4">
                            <span class="text-sm">Developer Italia</span>
                        {% else %}
                            <img src="{% static 'images/logo.svg' %}" alt="Logo Developer Overheid"  width="16" class="mr-1 size-4">
                            <span class="text-sm">Developer Overheid</span>
                        {% endif %}
                    </div>
                    <p class="category__pages__page__summary mb-0 text-sm">{{ item.summary }}</p>
                    {% if item.tags|length > 0 %}
                    <div class="category__pages__page__tags">
                        {% for tag in item.tags %}
                            <span class="pill pill--white pill--xs">{{ tag }}</span>
                        {% endfor %}
                    </div>
                    {% endif %}
                </a>
                {% endfor %}
            </div>
            <a href="{{ category.community_link }}" class="category__link font-normal mt-2" target="_blank">
                {{ category.link_text }}
                <svg width="20" height="20" class="icon">
                    <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-arrow-right" />
                </svg>
            </a>
        </div>
        {% endfor %}
    </div>
{% endblock %}
